Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface ExecuteQueueMBean

public interface ExecuteQueueMBean
extends ConfigurationMBean

This bean is used to configure an execute queue and its associated thread pool.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static java.lang.String` | `DEFAULT_QUEUE_NAME` The name of the default execute queue.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`int` | `getThreadCount()` Returns the number of threads assigned to this queue.
`void` | `setQueueLength(int value)`
`void` | `setThreadCount(int value)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### DEFAULT_QUEUE_NAME

    public static final java.lang.String DEFAULT_QUEUE_NAME

  The name of the default execute queue. getName() on the ExecuteQueueMBean which represents the default execute queue will return this name.

Method Detail

### setQueueLength

    public void setQueueLength(int value)
                        throws javax.management.InvalidAttributeValueException

### getThreadCount

    public int getThreadCount()

  Returns the number of threads assigned to this queue.

  Default Value: 15
  Legal Minimum Value: 1
  Legal Maximum Value: 65536

### setThreadCount

    public void setThreadCount(int value)
                        throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference